| FlatBuffers An open source project by FPL.

Public Member Functions | Static Public Member Functions | List of all members
com.google.flatbuffers.FlexBuffers.Blob Class Reference

Represents a array of bytes element in the buffer. More...

Inherits com.google.flatbuffers.FlexBuffers.Sized.

## Detailed Description

Represents a array of bytes element in the buffer.

It can be converted to `ReadBuf` using `data()`, copied into a byte[] using `getBytes()` or have individual bytes accessed individually using `get(int)`

## Public Member Functions
ByteBuffer | data ()
| Return `Blob` as `ReadBuf` More...
byte | get (int pos)
| Return individual byte at a given position. More...
byte[] | getBytes ()
| Copy blob into a byte[]. More...
String | toString ()
| Returns a text(JSON) representation of the `Blob`.
StringBuilder | toString (StringBuilder sb)
| Append a text(JSON) representation of the `Blob` into a `StringBuilder`

## Static Public Member Functions
static Blob | empty ()
| Return an empty `Blob`.

## Member Function Documentation

## ◆ data()

ByteBuffer com.google.flatbuffers.FlexBuffers.Blob.data | ( |  | ) |
| inline

Return `Blob` as `ReadBuf`

Returns
  blob as `ReadBuf`

## ◆ get()

byte com.google.flatbuffers.FlexBuffers.Blob.get | ( | int | pos | ) |
| inline

Return individual byte at a given position.

Parameters

  pos | position of the byte to be read

## ◆ getBytes()

byte[] com.google.flatbuffers.FlexBuffers.Blob.getBytes | ( |  | ) |
| inline

Copy blob into a byte[].

Returns
  blob as a byte[]

The documentation for this class was generated from the following file:

- FlexBuffers.java